macroScript showInViewportTextures
	             category:"dddesign" 
	             tooltip:"show maps in viewport"
	             buttontext:"show maps in viewport"
				 Icon:#("Material_Modifiers",4)
(
rollout boxCreator "show maps in viewport"

(	
	button button_material "MATERIAL" width:150 height:30
	
	button button_diffuse "DIFFUSE" width:150 height:30	
	
	button button_ambient "AMBIENT" width:150 height:30

	button button_off "OFF" width:150 height:30
	
	bitmap bmp1 fileName:"logo.jpg" width:150 height:45
	
	
	--If button_material is pressed ...
	
		on button_material pressed do
			(
				for oggetto in selection do
				(
					if (classOf oggetto.material == Standard) then
						(	
						oggetto.material.showInViewport = on
						
						)
					else if (classOf oggetto.material == Multimaterial) then
						(
							for b = 1 to b = oggetto.material.numsubs do
							(
								if (classOf oggetto.material.materialList[b] == Standard) then
								( 
									oggetto.material.materialList[b].showInViewport = on
									
								)
							)
						)
				)
			)

	
			
	--If button_diffuse is pressed ...
	
		on button_diffuse pressed do
			(
				for oggetto in selection do
				(
					if (classof oggetto.material == Standard and classOf oggetto.material.diffuseMap != undefinedclass) then
						(
						oggetto.material.showInViewport = on
						showTextureMap oggetto.material oggetto.material.diffusemap on
						)
					else if (classof oggetto.material == Multimaterial) then
						(
						for b = 1 to b = oggetto.material.numsubs do
							(	
							if (classOf oggetto.material.materialList[b].diffuseMap != undefinedclass) then
								(
								oggetto.material.materialList[b].showInViewport = on
								showTextureMap oggetto.material.materialList[b] oggetto.material.materialList[b].diffusemap on
								)
							)
						)
				)
			)

	--If button_ambient is pressed ...
	
		on button_ambient pressed do
			(
				for oggetto in selection do
				(
					if (classof oggetto.material == Standard and classOf oggetto.material.ambientMap != undefinedclass) then
						(
						oggetto.material.showInViewport = on
						showTextureMap oggetto.material oggetto.material.ambientmap on
						)
					else if (classof oggetto.material == Multimaterial) then
						(
						for b = 1 to b = oggetto.material.numsubs do
							(
							if (classOf oggetto.material.materialList[b].ambientMap != undefinedclass) then
								(	
								oggetto.material.materialList[b].showInViewport = on
								showTextureMap oggetto.material.materialList[b] oggetto.material.materialList[b].ambientmap on
								)
							)
						)
				)
			)
	
	--If button_off is pressed ...
	
		on button_off pressed do
			(
				for oggetto in selection do
				(
					if (classof oggetto.material == Standard) then
						(
						oggetto.material.showInViewport = on
						oggetto.material.showInViewport = off
						)
					else if (classof oggetto.material == Multimaterial) then
						(
							for b = 1 to b = oggetto.material.numsubs do
							(
							oggetto.material.materialList[b].showInViewport = on
							oggetto.material.materialList[b].showInViewport = off
							)
						)
				)
			)
)
createDialog boxCreator 170 200 --create a Dialog from the rollout
)

